org.eclnt.jsfserver.elements.componentnodes

## Class CLIENTSOCKETCONNECTORNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.CLIENTSOCKETCONNECTORNode

- All Implemented Interfaces:
    java.io.Serializable

      public class CLIENTSOCKETCONNECTORNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CLIENTSOCKETCONNECTORNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CLIENTSOCKETCONNECTORNode` | `bindActionListener(IActionListenerDelegation value)`
    `CLIENTSOCKETCONNECTORNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `CLIENTSOCKETCONNECTORNode` | `bindAvoidvalidations(IDynamicContentBindingObject value)`
    `CLIENTSOCKETCONNECTORNode` | `bindComment(IDynamicContentBindingObject value)`
    `CLIENTSOCKETCONNECTORNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `CLIENTSOCKETCONNECTORNode` | `bindPort(IDynamicContentBindingObject value)`
    `CLIENTSOCKETCONNECTORNode` | `bindRendered(IDynamicContentBindingObject value)`
    `CLIENTSOCKETCONNECTORNode` | `bindSendtrigger(IDynamicContentBindingObject value)`
    `CLIENTSOCKETCONNECTORNode` | `bindSendvalue(IDynamicContentBindingObject value)`
    `CLIENTSOCKETCONNECTORNode` | `bindStatusbarneutral(IDynamicContentBindingObject value)`
    `CLIENTSOCKETCONNECTORNode` | `setActionListener(java.lang.String value)`
    `CLIENTSOCKETCONNECTORNode` | `setAdapterbinding(java.lang.String value)`
    `CLIENTSOCKETCONNECTORNode` | `setAttributemacro(java.lang.String value)`
    `CLIENTSOCKETCONNECTORNode` | `setAvoidvalidations(boolean value)`
    `CLIENTSOCKETCONNECTORNode` | `setAvoidvalidations(java.lang.String value)`
    `CLIENTSOCKETCONNECTORNode` | `setComment(java.lang.String value)`
    `CLIENTSOCKETCONNECTORNode` | `setConfiginfo(java.lang.String value)`
    `CLIENTSOCKETCONNECTORNode` | `setId(java.lang.String value)`
    `CLIENTSOCKETCONNECTORNode` | `setPort(int value)`
    `CLIENTSOCKETCONNECTORNode` | `setPort(java.lang.String value)`
    `CLIENTSOCKETCONNECTORNode` | `setReference(java.lang.String value)`
    `CLIENTSOCKETCONNECTORNode` | `setRendered(boolean value)`
    `CLIENTSOCKETCONNECTORNode` | `setRendered(java.lang.String value)`
    `CLIENTSOCKETCONNECTORNode` | `setSendtrigger(java.lang.String value)`
    `CLIENTSOCKETCONNECTORNode` | `setSendvalue(java.lang.String value)`
    `CLIENTSOCKETCONNECTORNode` | `setStatusbarneutral(boolean value)`
    `CLIENTSOCKETCONNECTORNode` | `setStatusbarneutral(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CLIENTSOCKETCONNECTORNode

          public CLIENTSOCKETCONNECTORNode()

  - ### Method Detail

    - #### setId

          public CLIENTSOCKETCONNECTORNode setId(java.lang.String value)

    - #### setActionListener

          public CLIENTSOCKETCONNECTORNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public CLIENTSOCKETCONNECTORNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public CLIENTSOCKETCONNECTORNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public CLIENTSOCKETCONNECTORNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public CLIENTSOCKETCONNECTORNode setAttributemacro(java.lang.String value)

    - #### setAvoidvalidations

          public CLIENTSOCKETCONNECTORNode setAvoidvalidations(java.lang.String value)

    - #### bindAvoidvalidations

          public CLIENTSOCKETCONNECTORNode bindAvoidvalidations(IDynamicContentBindingObject value)

    - #### setAvoidvalidations

          public CLIENTSOCKETCONNECTORNode setAvoidvalidations(boolean value)

    - #### setComment

          public CLIENTSOCKETCONNECTORNode setComment(java.lang.String value)

    - #### bindComment

          public CLIENTSOCKETCONNECTORNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public CLIENTSOCKETCONNECTORNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public CLIENTSOCKETCONNECTORNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setPort

          public CLIENTSOCKETCONNECTORNode setPort(java.lang.String value)

    - #### bindPort

          public CLIENTSOCKETCONNECTORNode bindPort(IDynamicContentBindingObject value)

    - #### setPort

          public CLIENTSOCKETCONNECTORNode setPort(int value)

    - #### setReference

          public CLIENTSOCKETCONNECTORNode setReference(java.lang.String value)

    - #### setRendered

          public CLIENTSOCKETCONNECTORNode setRendered(java.lang.String value)

    - #### bindRendered

          public CLIENTSOCKETCONNECTORNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public CLIENTSOCKETCONNECTORNode setRendered(boolean value)

    - #### setSendtrigger

          public CLIENTSOCKETCONNECTORNode setSendtrigger(java.lang.String value)

    - #### bindSendtrigger

          public CLIENTSOCKETCONNECTORNode bindSendtrigger(IDynamicContentBindingObject value)

    - #### setSendvalue

          public CLIENTSOCKETCONNECTORNode setSendvalue(java.lang.String value)

    - #### bindSendvalue

          public CLIENTSOCKETCONNECTORNode bindSendvalue(IDynamicContentBindingObject value)

    - #### setStatusbarneutral

          public CLIENTSOCKETCONNECTORNode setStatusbarneutral(java.lang.String value)

    - #### bindStatusbarneutral

          public CLIENTSOCKETCONNECTORNode bindStatusbarneutral(IDynamicContentBindingObject value)

    - #### setStatusbarneutral

          public CLIENTSOCKETCONNECTORNode setStatusbarneutral(boolean value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.